#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 strict-list
version:              0.1.7.4
visibility:           public
id:                   strict-list-0.1.7.4-AFFKYlGiQY3433oVOdjxsA
key:                  strict-list-0.1.7.4-AFFKYlGiQY3433oVOdjxsA
license:              MIT
copyright:            (c) 2019, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/strict-list
synopsis:             Strict linked list
description:
    Implementation of strict linked list with care taken about stack.

category:             Data
abi:                  b4f43f2f24af78416aa80a5883d134dc
exposed:              True
exposed-modules:      StrictList
hidden-modules:       StrictList.Prelude
import-dirs:          /usr/lib/ghc-9.2.8/site-local/strict-list-0.1.7.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/strict-list-0.1.7.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-strict-list
hs-libraries:         HSstrict-list-0.1.7.4-AFFKYlGiQY3433oVOdjxsA
depends:
    base-4.16.4.0 deepseq-1.4.6.1
    hashable-1.4.3.0-4gqtyFKn8Wu9OwsZtyYGdt
    semigroupoids-5.3.7-2mDe4sMNPvw975Oe5bPubt

haddock-interfaces:   /usr/share/doc/haskell-strict-list/html/strict-list.haddock
haddock-html:         /usr/share/doc/haskell-strict-list/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

